#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.9
visibility:           public
id:                   foldl-1.4.9-IPbVbGaEGN4GReiWg4PDbf
key:                  foldl-1.4.9-IPbVbGaEGN4GReiWg4PDbf
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  5f766b9e7f800f68b3cdd9c828efc543
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.2/site-local/foldl-1.4.9
library-dirs:         /usr/lib/ghc-8.10.2/site-local/foldl-1.4.9
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/foldl-1.4.9
hs-libraries:         HSfoldl-1.4.9-IPbVbGaEGN4GReiWg4PDbf
depends:
    base-4.14.1.0 bytestring-0.10.10.0
    comonad-5.0.6-fOGUTCPPz3Er9JwvHLk9Q containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    hashable-1.3.0.0-2rljXTEZeqO3h4WvjXFrn0
    mwc-random-0.15.0.1-DGSTWuGvf3vC5KGtZLUWiD
    primitive-0.7.1.0-vpWoRLNdja4imeRRffxhe
    profunctors-5.5.2-E6MVziCKW6w3zQo4LYU0dk
    semigroupoids-5.3.4-8WCOTXp2qnL8h0z1aCNh74 text-1.2.3.2
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-1ou2s75HM4jIGJQqER9UBk
    vector-0.12.1.2-93zBJ8pozDnK4B1K8k25VC

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

